# Interface methods for submodule: PadImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PadImageFilterBaseProxy as _PadImageFilterBaseProxy


# Interface methods for class: PadImageFilter
class PadImageFilterProxy(_PadImageFilterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetPadLowerBound(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetPadLowerBound(self, data) -> None:
		""""""
		...

	@overload
	def SetPadUpperBound(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetPadUpperBound(self, data) -> None:
		""""""
		...

	def GetPadLowerBound(self) -> Sequence[int]:
		""""""
		...

	def GetPadUpperBound(self) -> Sequence[int]:
		""""""
		...

	def SetPadBound(self, bound: Sequence[int]) -> None:
		""""""
		...

